<% if (section === 'css') { %>
<style>
  .page[page=timer] {
    width: 100%;
    font-weight: bold;
  }

  .timer-row {
    height: 50%;
    width: 100%;
    text-align: center;
  }
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="timer">
  <div id="timer-time" class="timer-row text-fit"></div>
  <div id="timer-setPoint"  class="timer-row text-fit"></div>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  const timerTimer = new Timer(1000, 'down', (time) => {
    document.getElementById('timer-time').innerHTML = `${Math.floor(time / 60)}:${(time % 60).pad(2)}`
    fitText(document.querySelectorAll('.page[page=timer] .text-fit'))
  })

  registerCommand('timer', 'data', (data) => {
    document.getElementById('timer-setPoint').innerHTML = `/ ${Math.floor(data.setPoint / 60)}:${(data.setPoint % 60).pad(2)}`

    timerTimer.direction = data.direction
    fitText(document.querySelectorAll('.page[page=timer] .text-fit'))
  })

  registerCommand('timer', 'time', (data) => {
    timerTimer.setTime(data.time)

    if (data.running) {
      timerTimer.start()
    } else {
      timerTimer.stop()
    }
    fitText(document.querySelectorAll('.page[page=timer] .text-fit'))
  })

  registerCommand('timer', 'timerEnded', () => {
    playBuzzer(3, true)
  })
</script>
<% } %>
